<?php
include '../comunes_php/cors.php';
    include "../comunes_php/Log.class.php"; 
    $log = new Log("app_trace", "./");

    $parametros = print_r($_POST,TRUE); 
    $log->insert($parametros, false, false, false);



    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();
    $mensaje = "Fueron guardados sus datos";
    include '../rdb/conn.php';





    $id = $_POST['id'];
    $usuario_id =$_REQUEST['usuario_id'];
    
	$nombre= isset($_REQUEST['nombre']) ?(is_null($_REQUEST['nombre'])?  ' ':$_REQUEST['nombre']) : ' ';
	$cuit= isset($_REQUEST['cuit']) ? $_REQUEST['cuit'] : '';
	$direccion= isset($_REQUEST['direccion']) ? $_REQUEST['direccion'] : '';
	$telefono= isset($_REQUEST['telefono']) ? $_REQUEST['telefono'] : '';
	$email= isset($_REQUEST['email']) ? $_REQUEST['email'] : '';

	$limite = isset($_REQUEST['limite']) ? $_REQUEST['limite'] : '-1';

    $fecha_actual= date("Y-m-d H:i:s");
   // $fecha_actual= $_POST['fecha'];
 
  
  
try {    
mysqli_query( $conn,"SET AUTOCOMMIT=0");
mysqli_query( $conn,"START TRANSACTION");


    if (isset($_POST['id']) && trim($_POST['id'])!='ALTA') {
        //modificacion


         
            $sql=" UPDATE `proveedores` SET ";
        	if ($nombre<>'') {$sql .="`nombre`= '$nombre',     "; }
        	if ($cuit<>'') {$sql .="`cuit`='$cuit',     "; }
        	if ($direccion<>'') {$sql .="`direccion`='$direccion',     "; }
        	if ($telefono<>'') {$sql .="`telefono`= '$telefono',     "; }
        	if ($email<>'') {$sql .="`email`= '$email'  ,   "; }
        	if ($limite<>'') {$sql .="`limite`= $limite ,    "; }
            $sql .= "`id`= $id ";
            $sql.=" WHERE id=$id";
								     

            @mysqli_query( $conn,$sql);
            $actualizados=mysqli_affected_rows($conn);
            $log->insert($sql, false, false, false);

            $result["sql"]=$sql;
            
            
           

            //si vienen armo un arreglo con el contenido y doy de alta
            
             if (isset($_REQUEST['ctacte'])){
                $ctacte= json_decode($_REQUEST['ctacte'], true);
                
                $sql = "delete from  cuenta_corriente_proveedores where proveedor_id=$id";
                @mysqli_query( $conn,$sql);
             
   	            $log->insert($sql, false, false, false);
               	    
            
                $orden=0;
                 foreach($ctacte as $cr){
                    $orden++;
                        if($cr[id]<>"") {
                            $sql  ="INSERT INTO `cuenta_corriente_proveedores`";
                            $sql  .="(`id`,`proveedor_id`, `tipo_movimiento_id`, `comprobante`, `importe`, `fecha_movimiento`, `fecha_efectivo`, `usuario_id`) VALUES ";
                            $sql  .="($cr[id],$id,$cr[tipo_movimiento_id],'$cr[comprobante]',$cr[importe],'$cr[fecha_movimiento]','$cr[fecha_efectivo]',$cr[usuario_id] )"; 
    				    } else {
                            $sql  ="INSERT INTO `cuenta_corriente_proveedores`";
                            $sql  .="(`proveedor_id`, `tipo_movimiento_id`, `comprobante`, `importe`, `fecha_movimiento`, `fecha_efectivo`, `usuario_id`) VALUES ";
                            $sql  .="($id,$cr[tipo_movimiento_id],'$cr[comprobante]',$cr[importe],'$cr[fecha_movimiento]','$cr[fecha_efectivo]',$cr[usuario_id] )"; 
					    }
					    @mysqli_query( $conn,$sql);
	                    $log->insert($sql, false, false, false);

                       
                }
               
            } //fin de area de manejo de renglones

    } // fin modificaciones 
    else
    {
        //alta        
    	   $sql= " select IFNULL(max(id),0)+1 from proveedores ";
    
    	    $rs = mysqli_query( $conn,$sql);
    	    $row = mysqli_fetch_row($rs);
    	    $id = $row[0];
    

	
	
            $sql  ="INSERT INTO ";
            $sql  .="	`proveedores`";
            $sql  .="	(`id`, `nombre`, `cuit`, ";
            $sql  .="	`direccion`, `email`, `limite`, ";
            $sql  .="	`telefono` ) VALUES";
            $sql  .="   ($id, '$nombre','$cuit',";
            $sql  .="   '$direccion','$email',$limite,";
            $sql  .="	'$telefono')";
 
 
        
            
            
            mysqli_query( $conn,$sql);
            $actualizados=mysqli_affected_rows($conn);
            
       	    $result["sql"] = $sql;
       	
	        $log->insert($sql, false, false, false);
  

            //si vienen armo un arreglo con el contenido y doy de alta
            
             if (isset($_REQUEST['ctacte'])){
                $ctacte= json_decode($_REQUEST['ctacte'], true);
                 $orden=0;
                 foreach($ctacte as $cr){
                    $orden++;
                    

                        $sql  ="INSERT INTO `cuenta_corriente_proveedores`";
                        $sql  .="(`proveedor_id`, `tipo_movimiento_id`, `comprobante`, `importe`, `fecha_movimiento`, `fecha_efectivo`, `usuario_id`) VALUES ";
                        $sql  .="($id,$cr[tipo_movimiento_id],'$cr[comprobante]',$cr[importe],'$cr[fecha_movimiento]','$cr[fecha_efectivo]',$cr[usuario_id] )"; 
					    
					    @mysqli_query( $conn,$sql);
	                    $log->insert($sql, false, false, false);

                       
                }
               

    }// fin alta 
    
    

    

    }
    
    if (isset($_POST['id']) && trim($_POST['id'])==='ALTA') {
                    //En el alta controlo que se haya insertado algun registro
                    mysqli_query( $conn,"COMMIT");
                    $result["actualizados"]=$actualizados;
                    if ($actualizados>0) {
                    $result["estado"]=true;
                    $result["msg"] = "Proveedor actualizado. ";
                    $log->insert($result["msg"], false, false, false);

                    } else
                    {
                    $result["estado"]=false;
                    $result["msg"] = "No se realizo Ninguna actualizacion en la base de datos.";
                        
                    }
    } else {
                    mysqli_query( $conn,"COMMIT");
                    $result["actualizados"]=$actualizados;
                    if ($actualizados>0) {
                        $result["estado"]=true;
                        $result["msg"] = "Proveedor actualizado. ";
                        $log->insert($result["msg"], false, false, false);
                    } else
                    {
                        $result["estado"]=true;
                        $result["msg"] = "No se realizo Ninguna actualizacion los datos del poveedor, No sería problemas si se trata de la cta cte.";
                        $log->insert($result["msg"], false, false, false);
                    } 
    }    
    echo json_encode($result);
} catch(exception $error) {
    
mysqli_query( $conn,"ROLLBACK");
$result["msg"] = "Errores grabando en la base de datos: ".$error->getMessage();
$result["estado"]=false;
$log->insert($result["msg"], false, false, false);

echo json_encode($result);
	
}
    
  
?>